NAME
	add_function - add a function to the program

SYNTAX
	#include "program.h"

	void add_function(char *name,
	                  void (*fun)(INT32),
	                  char *type,
	                  INT16 flags)

DESCRIPTION
	This function adds a function to the program you are building.
	The function will have the name 'name' and the type 'type'.
	The function 'fun' will be called with an integer telling it how
	many arguments are on the stack and is expected to remove those
	elements from the stack and replace them with a return value.
	The flags are zero or more of the following or:ed together:
	ID_STATIC, ID_PRIVATE, ID_NOMASK, ID_PUBLIC, ID_PROTECTED and
	ID_INLINE.

KEYWORDS
	program

SEE ALSO
	start_new_program, types